Claim Loyalty Program Customer Offer
curl --request POST \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/offers/{offerId}/claim \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/offers/{offerId}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/offers/{offerId}/claim"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Loyalty
Claim Loyalty Program Customer Offer
Claim an Offer for Customer
Allows a customer to claim an offer if they meet the necessary conditions.
Path Parameters:
programId: UUID of the loyalty programcustomerId: UUID of the customerofferId: UUID of the offer
Returns:
- HTTP 200 OK on successful claim.
- HTTP 422 Unprocessable Entity if conditions are not met.
POST
/
v2
/
loyalty
/
programs
/
{programId}
/
customers
/
{customerId}
/
offers
/
{offerId}
/
claim
Claim Loyalty Program Customer Offer
curl --request POST \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/offers/{offerId}/claim \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/offers/{offerId}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/offers/{offerId}/claim"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Response
Successful Response
